# Class OptionsFromRemoteMethodDirective<Value, Parameters>

#### Type Parameters

- Value
- Parameters

#### Hierarchy (View Summary)

- OnInit
- ExtractFormDefinitionMixin
- ExtractRemoteMethodsMixin
  - OptionsFromRemoteMethodDirective

#### Implements

- OnChanges

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:87
- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:97

#####
Index

### Constructors

constructor

### Properties

parameters?
resetOnChange?
withoutParameters

### Methods

extractFormDefinition
extractRemoteMethods
ngOnChanges
ngOnInit

##
Constructors

### constructor

- new OptionsFromRemoteMethodDirective<Value, Parameters>(
  ngControl: NgControl,
  template: TemplateRef<OptionsFromRemoteMethodTemplateContext>,
  remoteMethodLoader: RemoteMethodLoader,
  viewContainerRef: ViewContainerRef,
  injector: Injector,
  cdr: ChangeDetectorRef,
  ): OptionsFromRemoteMethodDirective<Value, Parameters>

  #### Type Parameters

  - Value
  - Parameters

  #### Parameters

  - ngControl: NgControl
  - template: TemplateRef<OptionsFromRemoteMethodTemplateContext>
  - remoteMethodLoader: RemoteMethodLoader
  - viewContainerRef: ViewContainerRef
  - injector: Injector
  - cdr: ChangeDetectorRef

  #### Returns OptionsFromRemoteMethodDirective<Value, Parameters>

  Inherited from ExtractRemoteMethodsMixin.constructor

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:110

##
Properties

### `Optional` parameters

parameters?: Parameters

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:100

### `Optional` resetOnChange

resetOnChange?: Value

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:103

### withoutParameters

withoutParameters: boolean = false

- Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:106

##
Methods

### `Protected` extractFormDefinition

- extractFormDefinition(control: AbstractControl): FormDefinition

  #### Parameters

  - control: AbstractControl

  #### Returns FormDefinition

  Inherited from ExtractFormDefinitionMixin.extractFormDefinition

  - Defined in packages/angular/form-system/src/lib/mixins/extract-form-definition.mixin.ts:10

### `Protected` extractRemoteMethods

- extractRemoteMethods(
  formDefinition: FormDefinition,
  controlId: string,
  ): Map<
  string,
  Constructor<
  IdOrInstanceOrToken<
  BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>,
  >,
  >,
  >

  #### Parameters

  - formDefinition: FormDefinition
  - controlId: string

  #### Returns Map<
  string,
  Constructor<
  IdOrInstanceOrToken<
  BaseRemoteMethod<any, any, BaseRemoteMethodMetadata>,
  >,
  >,
  >

  Inherited from ExtractRemoteMethodsMixin.extractRemoteMethods

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:59

### ngOnChanges

- ngOnChanges(changes: SimpleChanges): void

  A callback method that is invoked immediately after the default change detector has checked data-bound properties if at least one has changed, and before the view and content children are checked.

  #### Parameters

  - changes: SimpleChanges

    The changed properties.

  #### Returns void

  - Defined in packages/angular/form-system/src/lib/directives/options-from-remote-method.directive.ts:126

### ngOnInit

- ngOnInit(): void

  A callback method that is invoked immediately after the default change detector has checked the directive's data-bound properties for the first time, and before any of the view or content children have been checked. It is invoked only once when the directive is instantiated.

  #### Returns void

  Inherited from OnInit.ngOnInit

  - Defined in node_modules/@angular/core/index.d.ts:8345